Skip to main content
GET
/
v1
/
ap2
/
mandates
List mandates
curl --request GET \
  --url https://api.getsly.ai/v1/v1/ap2/mandates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "active",
      "mandate_jwt": "<string>",
      "scope": {
        "max_per_tx": "<string>",
        "max_per_day": "<string>",
        "max_per_month": "<string>",
        "currency": "<string>",
        "allowed_merchant_categories": [
          "<string>"
        ],
        "allowed_merchants": [
          "<string>"
        ],
        "blocked_merchants": [
          "<string>"
        ]
      },
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Query Parameters

agent_id
string<uuid>
account_id
string<uuid>
status
enum<string>
Available options:
active,
paused,
suspended,
cancelled,
revoked,
expired
page
integer
default:1
limit
integer
default:50
Required range: x <= 200

Response

200 - application/json

Paginated mandates

data
object[]
required
pagination
object
required